import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:wowpay_flutter/wowpay_flutter.dart';
import 'package:wowpay_flutter/utils/styles.dart';
Future main() async {
  return runApp(MyApp());
}
class MyApp extends StatefulWidget{
  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return _MyApp();
  }
}
class _MyApp extends State<MyApp> {
  late Wowpay _wowpay;
  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    _wowpay = new Wowpay({
      "api_key": "7ef94cfb04a3dcab4e79febe36b0b0bf",
      "amount": 50000,
      "user_id":"10",
      "currency": "MYR",
      "order_id": "Test000014",
      "customer": {
        "title": "Mr",
        "first_name": "Thong",
        "last_name": "Tran",
        "mobile": "+84989452008",
        "email": "humgthongit@gmail.com",
        "customer_type": "Adult",
        "islead_pax": true,
        "address": "Nam thanh",
        "city": "Kuala Lumpur",
        "postcode": "548010",
        "country": "MY",
      },
      "order_info": {
        "item_list": [
          {
            "item_amount": 25.98,
            "item_code": "code",
            "item_desc":
            " It has a lightweight, breathable mesh upper with orefootcables for a locked-down fit.",
            "item_id": 1,
            "item_name": "Nike Flex Form TR Women's Sneaker",
            "item_type": 0,
          }
        ],
        "order_desc": "Test payment",
      }
    });
    _wowpay.on(Wowpay.EVENT_PAYMENT_ERROR, (PaymentFailureResponse response){
      Fluttertoast.showToast(msg: "faile ${response.code}  ${response.message}", toastLength: Toast.LENGTH_SHORT);
    });
    _wowpay.on(Wowpay.EVENT_PAYMENT_SUCCESS, (PaymentSuccessResponse response){
      Fluttertoast.showToast(msg:"success ${response.orderId}  ${response.signature}   ${response.channelCode}", toastLength: Toast.LENGTH_SHORT);
    });

  }
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
        title: 'Flutter Demo',
        theme: ThemeData(
          // Define the default brightness and colors
          // brightness: Brightness.dark,
          primaryColor: Styles.appPrimaryColor,
          brightness: Brightness.light,

          // for drawer color
          canvasColor: Styles.appCanvasColor,

          // Define the default font family.
          fontFamily: 'Montserrat',

          // Define the default TextTheme. Use this to specify the default
          // text styling for headlines, titles, bodies of text, and more.
          textTheme: Styles.appTextTheme,
        ),
        home: Scaffold(
            appBar: AppBar(
              title: Text("Payment"),
            ),
            body: WowpayInit(
                child: Center(
                  child: Column(
                    children: [ElevatedButton(
                      child: const Text('Open ewallet'),
                      onPressed: () {
                        _wowpay.onOpen("eWallet");
                      },
                    ),
                      ElevatedButton(
                        child: const Text('Open payment creditcard'),
                        onPressed: () {
                          _wowpay.onOpen("CreditCard");
                        },
                      ),
                      ElevatedButton(
                        child: const Text('Open OnlineBanking'),
                        onPressed: () {
                          _wowpay.onOpen("OnlineBanking");
                        },
                      ),],

                  ),
                )
            )));
  }
}
