import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:wowpay_flutter/events/payment_event.dart';
import 'package:wowpay_flutter/repositories/payment_repository.dart';
import 'package:wowpay_flutter/states/payment_state.dart';


class PaymentBloc extends Bloc<PaymentEvent, PaymentState> {
  final PaymentRepository paymentRepository;
  PaymentBloc({required this.paymentRepository})
      : assert(paymentRepository != null),
        super(PaymentStateInitial());
  @override
  Stream<PaymentState> mapEventToState(PaymentEvent paymentEvent) async* {
    print(paymentEvent);
    // TODO: implement mapEventToState
    if (paymentEvent is PaymentEventRequested) {
      yield PaymentStateLoading();
      try {
        final String encValue = await paymentRepository.fetchEncryptDataInfo(paymentEvent.options);
        yield PaymentStateSuccess(payment: encValue);
      } catch (exception) {
        yield PaymentStateFailure(exception:exception.toString());
      }
    }
  }
}