/*
use a Repository class which going to act as the inter-mediator and
a layer of abstraction between the APIs and the BLOC.

The task of the repository is to deliver movies data
to the BLOC after fetching it from the API.
 */
import 'dart:convert';
import 'package:wowpay_flutter/api/api_base_helper.dart';
import 'package:wowpay_flutter/responses/payment_response.dart';
import 'package:wowpay_flutter/utils/constants.dart';
class PaymentRepository {
  ApiBaseHelper _helper = ApiBaseHelper();
  late Map <String, String> backendHeaders;
  dynamic handleHeaders(String body) {
    Map<String,dynamic> options = jsonDecode(body);
    backendHeaders = Constants.backendHeaders;
    backendHeaders["Authorization"] = 'Basic ${options["api_key"]}';
    return backendHeaders;
  }
  Future<String> fetchEncryptDataInfo(String body) async {


    final response = await _helper.post(
        Constants.encryptDataInfoUrl, body, handleHeaders(body)
    );
    return PaymentResponse
        .fromJson(response).results;
  }
}