import 'package:flutter/material.dart';
import 'package:wowpay_flutter/utils/styles.dart';

class Loading extends StatelessWidget {
  final String loadingMessage;

  const Loading({ Key? key, required this.loadingMessage}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Text(
            loadingMessage,
            textAlign: TextAlign.center,
            style: TextStyle(
              color: Styles.appPrimaryColor,
              fontSize: 24,
            ),
          ),
          SizedBox(height: 24),
          CircularProgressIndicator(
            valueColor: AlwaysStoppedAnimation<Color>(Styles.appPrimaryColor),
          ),
        ],
      ),
    );
  }
}