import 'dart:async';
import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:wowpay_flutter/blocs/payment_bloc.dart';
import 'package:wowpay_flutter/states/payment_state.dart';
import 'package:wowpay_flutter/views/payment/payment_webview.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class PaymentIndexPage extends StatefulWidget {
  final Widget child;

  PaymentIndexPage({required this.child});
  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return _PaymentIndexPageState();
  }
}

class _PaymentIndexPageState extends State<PaymentIndexPage> {
  late Completer<void> _completer;

  @override
  void initState() {
    super.initState();
    _completer = Completer<void>();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return
        Container(
            child: BlocConsumer<PaymentBloc, PaymentState>(
              listener: (context, paymentState) {
                if (paymentState is PaymentStateSuccess) {
                  _completer.complete();
                  _completer = Completer();
                }
              },
              builder: (context, paymentState) {
                if (paymentState is PaymentStateFailure) {
                  Fluttertoast.showToast(msg: paymentState.exception, toastLength: Toast.LENGTH_SHORT);
                }
                return PaymentWebView(child: widget.child,paymentState: paymentState);
              },
            ));
  }
}
