import 'dart:io';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter_inappwebview/flutter_inappwebview.dart';
import 'package:wowpay_flutter/blocs/payment_bloc.dart';
import 'package:wowpay_flutter/blocs/payment_bloc_observer.dart';
import 'package:wowpay_flutter/models/payment.dart';
import 'package:wowpay_flutter/repositories/payment_repository.dart';
import 'package:wowpay_flutter/utils/constants.dart';
import 'package:wowpay_flutter/views/payment/index.dart';
import 'package:flutter/cupertino.dart';
import 'package:overlay_support/overlay_support.dart';

import 'blocs/payment_bloc_observer.dart';

class WowpayWidget extends StatefulWidget {
  final Widget child;

  WowpayWidget({required this.child});

  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return WowpayWidgetState();
  }
}

class WowpayWidgetState extends State<WowpayWidget>{
  late final PaymentRepository paymentRepository = PaymentRepository();
  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    handleTheFirst();
  }
  void handleTheFirst()async{
    Bloc.observer = PaymentBlocObserver();
    WidgetsFlutterBinding.ensureInitialized();
    if (Platform.isAndroid) {
      await AndroidInAppWebViewController.setWebContentsDebuggingEnabled(true);
    }
  }
  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return BlocProvider(
      create: (context) => PaymentBloc(paymentRepository: paymentRepository),
      child: PaymentIndexPage(child: widget.child),
    );
  }
}